jQuery( document ).ready( function( $ ) {

	// Translation

	const { __, _x, _n, _nx } = wp.i18n;

	// Checkbox expanded

	function checkboxExpanded( checkboxExpanding ) {

		if ( checkboxExpanding.prop( 'checked' ) ) {

			checkboxExpanding.closest( 'div' ).find( '.wcot-order-tags-checkbox-expanded' ).slideDown( 100 );

		} else {

			checkboxExpanding.closest( 'div' ).find( '.wcot-order-tags-checkbox-expanded' ).slideUp( 100 );

		}

	}

	// Checkbox expand initially

	$( '.wcot-order-tags-checkbox-expanding' ).each( function( e ) {

		checkboxExpanded( $( this ) );

	});

	// Checkbox expand on click

	$( document ).on( 'click', '.wcot-order-tags-checkbox-expanding', function( e ) {

		checkboxExpanded( $( this ) );

	});

	// Alert if no set on conditons enabled

	$( document ).on( 'click', '.edit-tag-actions input[type="submit"]', function( e ) {

		var setOnsEnabled = 0;

		$( 'input[name^="wcot_order_tags_set_on_"]').each( function() {

			if ( $( this ).prop( 'checked' ) ) {

				setOnsEnabled = setOnsEnabled + 1;

			}

		});

		if ( setOnsEnabled == 0 ) {

			if ( !confirm( __( 'No "Set On" conditions have been enabled so this order tag will not set automatically. Are you sure you want to continue?', 'wcrp-rental-products' ) ) ) {

				e.preventDefault();

			}

		}

	});

	// Color picker

	$( '.wcot-order-tags-color-picker' ).wpColorPicker();

	// Select2

	$( '.wcot-order-tags-select2' ).select2({
		'width': '100%',
	});

	$( '.wcot-order-tags-select2-ajax-set-if-customer-value' ).select2({
		'ajax': {
			'cache': true,
			'dataType': 'json',
			'delay': 250,
			'data': {
				'action': 'wcot_order_tags_fields_select2_set_if_customer_value',
			},
			'url': ajaxurl, // ajaxurl is the WordPress AJAX url variable included in dashboard
			'processResults': function ( response ) {
				return {
					'results': response,
				};
			},
		},
		'language': {
			'searching': function() {
				return __( 'Getting customers...', 'wcot-order-tags' );
			}
		},
		'width': '100%',
	});

	$( '.wcot-order-tags-select2-ajax-set-if-product-value' ).select2({
		'ajax': {
			'cache': true,
			'dataType': 'json',
			'delay': 250,
			'data': {
				'action': 'wcot_order_tags_fields_select2_set_if_product_value',
			},
			'url': ajaxurl, // ajaxurl is the WordPress AJAX url variable included in dashboard
			'processResults': function ( response ) {
				return {
					'results': response,
				};
			},
		},
		'language': {
			'searching': function() {
				return __( 'Getting products...', 'wcot-order-tags' );
			}
		},
		'width': '100%',
	});

	$( '.wcot-order-tags-select2-ajax-set-if-product-category-value' ).select2({
		'ajax': {
			'cache': true,
			'dataType': 'json',
			'delay': 250,
			'data': {
				'action': 'wcot_order_tags_fields_select2_set_if_product_category_value',
			},
			'url': ajaxurl, // ajaxurl is the WordPress AJAX url variable included in dashboard
			'processResults': function ( response ) {
				return {
					'results': response,
				};
			},
		},
		'language': {
			'searching': function() {
				return __( 'Getting product categories...', 'wcot-order-tags' );
			}
		},
		'width': '100%',
	});

	$( '.wcot-order-tags-select2-ajax-set-if-product-tag-value' ).select2({
		'ajax': {
			'cache': true,
			'dataType': 'json',
			'delay': 250,
			'data': {
				'action': 'wcot_order_tags_fields_select2_set_if_product_tag_value',
			},
			'url': ajaxurl, // ajaxurl is the WordPress AJAX url variable included in dashboard
			'processResults': function ( response ) {
				return {
					'results': response,
				};
			},
		},
		'language': {
			'searching': function() {
				return __( 'Getting product tags...', 'wcot-order-tags' );
			}
		},
		'width': '100%',
	});

});