<?php

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

if ( !class_exists( 'WCOT_Order_Tags_Enqueues' ) ) {

	class WCOT_Order_Tags_Enqueues {

		public function __construct() {

			add_action( 'admin_enqueue_scripts', array( $this, 'enqueues' ) );

		}

		public function enqueues() {

			global $pagenow;

			wp_enqueue_script( 'jquery' );

			wp_enqueue_style(
				'wcot-order-tags-admin',
				plugins_url( 'assets/css/admin.min.css', __DIR__ ),
				array(),
				WCOT_ORDER_TAGS_VERSION,
				'all'
			);

			if ( 'edit-tags.php' == $pagenow || 'term.php' == $pagenow ) {

				if ( isset( $_GET['taxonomy'] ) ) {

					if ( 'wcot_order_tag' == $_GET['taxonomy'] ) {

						wp_enqueue_script(
							'wcot-order-tags-admin',
							plugins_url( 'assets/js/admin.min.js', __DIR__ ),
							array(
								'jquery',
								'wp-i18n',
								'wp-color-picker',
							),
							WCOT_ORDER_TAGS_VERSION,
							true
						);

						wp_enqueue_style( 'wp-color-picker' );

						wp_enqueue_script(
							'wcot-order-tags-select2',
							plugins_url( 'libraries/select2/dist/js/select2.min.js', __DIR__ ),
							array(
								'jquery',
							),
							WCOT_ORDER_TAGS_VERSION,
							true
						);

						wp_enqueue_style(
							'wcot-order-tags-select2',
							plugins_url( 'libraries/select2/dist/css/select2.min.css', __DIR__ ),
							array(),
							WCOT_ORDER_TAGS_VERSION,
							'all'
						);

					}

				}

			}

		}

	}

}
