<?php

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

if ( !class_exists( 'WCOT_Order_Tags_Filter' ) ) {

	class WCOT_Order_Tags_Filter {

		public function __construct() {

			add_action( 'restrict_manage_posts', array( $this, 'field' ) );
			add_action( 'posts_where', array( $this, 'clause' ) );

		}

		public function field() {

			global $typenow;
			global $wpdb;
			
			if ( 'shop_order' !== $typenow ) {

				return;

			}

			$filter = '';

			if ( isset( $_GET[ 'wcot_order_tags_filter' ] ) && !empty( $_GET[ 'wcot_order_tags_filter' ] ) ) {

				$filter = sanitize_text_field( $_GET[ 'wcot_order_tags_filter' ] );

			}

			$order_tags = wcot_order_tags_get_all_order_tags();

			if ( !empty( $order_tags ) ) {

				echo '<select name="wcot_order_tags_filter">';

				echo '<option value="">' . esc_html__( 'Order tags filter', 'wcot-order-tags' ) . '</option>';

				foreach ( $order_tags as $order_tag ) {

					$order_tag_id = $order_tag->term_id;

					echo '<option value="' . esc_html( $order_tag_id ) . '"' . ( $order_tag_id == $filter ? ' selected' : '' ) . '>' . esc_html( $order_tag->name ) . '</option>';

				}

				echo '</select>';

			}

		}

		public function clause( $where ) {

			global $typenow;
			global $wpdb;

			if ( is_search() && 'shop_order' == $typenow ) {

				if ( isset( $_GET[ 'wcot_order_tags_filter' ] ) && !empty( $_GET[ 'wcot_order_tags_filter' ] ) ) {

					$filter = trim( sanitize_text_field( $_GET[ 'wcot_order_tags_filter' ] ) );
					$filter = $wpdb->_escape( $filter );

					$where .= " AND ($wpdb->posts.ID IN (
					SELECT object_id
					FROM `{$wpdb->prefix}term_taxonomy` as term_taxonomy
					INNER JOIN `{$wpdb->prefix}term_relationships` as term_relationships
					ON term_taxonomy.term_taxonomy_id = term_relationships.term_taxonomy_id
					WHERE term_taxonomy.taxonomy = 'wcot_order_tag'
					AND term_taxonomy.term_taxonomy_id = " . $filter;

					$where .= ') )';

				}

			}

			return $where;

		}

	}

}
