<?php

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

if ( !class_exists( 'WCOT_Order_Tags_Menu' ) ) {

	class WCOT_Order_Tags_Menu {

		public function __construct() {

			add_action( 'admin_menu', array( $this, 'menu' ) );
			add_filter( 'parent_file', array( $this,'highlight' ), PHP_INT_MAX ); // This needs to be high as some plugins can override it (this function only effects the order tags menu item no others, so there is no need to have a lower than max priority)

		}

		public function menu() {

			add_submenu_page(
				'woocommerce',
				__( 'Order Tags', 'wcot-order-tags' ),
				__( 'Order Tags', 'wcot-order-tags' ),
				'manage_woocommerce',
				'edit-tags.php?taxonomy=wcot_order_tag',
				false
			);

		}

		public function highlight( $parent_file ) {

			global $parent_file;
			global $current_screen;

			if ( !empty( $current_screen ) ) {

				if ( isset( $current_screen->taxonomy ) ) {

					if ( 'wcot_order_tag' == $current_screen->taxonomy ) {

					   return 'edit-tags.php?taxonomy=wcot_order_tag';

					}

				}

			}

			return $parent_file;

		}

	}

}
