<?php

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

if ( !class_exists( 'WCOT_Order_Tags_Notices' ) ) {

	class WCOT_Order_Tags_Notices {

		public function __construct() {

			add_action( 'admin_notices', array( $this, 'activation_notice' ) );
			add_action( 'admin_head', array( $this, 'activation_notice_dismiss' ) );
			add_action( 'admin_notices', array( $this, 'order_tag_info_notice' ) );

		}

		public function activation_notice() {

			if ( !empty( get_transient( 'wcot_order_tags_activation_notice' ) ) ) {

				if ( current_user_can( 'edit_plugins' ) ) {

					echo '<div id="wcot-order-tags-activation-notice" class="notice notice-success"><p><strong>' . esc_html__( 'Order Tags has been activated.', 'wcot-order-tags' ) . '</strong></p><p><a href="' . esc_url( get_admin_url() . 'edit-tags.php?taxonomy=wcot_order_tag&wcot_order_tags_activation_notice_dismiss=1' ) . '" class="button button-primary">' . esc_html__( 'Manage order tags', 'wcot-order-tags' ) . '</a><a href="' . esc_url( add_query_arg( 'wcot_order_tags_activation_notice_dismiss', '1' ) ) . '" class="button">' . esc_html__( 'Dismiss notice', 'wcot-order-tags' ) . '</a></p></div>';

				}

			}

		}

		public function activation_notice_dismiss() {

			if ( isset( $_GET['wcot_order_tags_activation_notice_dismiss'] ) ) {

				if ( '1' == $_GET['wcot_order_tags_activation_notice_dismiss'] ) {

					delete_transient( 'wcot_order_tags_activation_notice' );

				}

			}

		}

		public function order_tag_info_notice() {

			global $pagenow;

			if ( 'edit-tags.php' == $pagenow ) {

				if ( isset( $_GET['taxonomy'] ) ) {

					if ( 'wcot_order_tag' == $_GET['taxonomy'] ) {

						echo '<div class="notice notice-info"><p>' . esc_html__( 'To manage order tags, first create an order tag using the "Add New Order Tag" section, then set options by editing the order tag from the table.', 'wcot-order-tags' ) . '</p></div>';

					}

				}

			}

		}

	}

}
