<?php

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

if ( !class_exists( 'WCOT_Order_Tags_Upgrade' ) ) {

	class WCOT_Order_Tags_Upgrade {

		public function __construct() {

			add_action( 'wp_loaded', array( $this, 'upgrade' ) );

		}

		public static function upgrade() {

			$version = get_option( 'wcot_order_tags_version' );

			if ( WCOT_ORDER_TAGS_VERSION !== $version ) {

				global $wpdb;

				if ( version_compare( $version, '1.2.0', '<' ) ) {

					$order_tags = get_terms(
						array(
							'taxonomy'		=> 'wcot_order_tag',
							'hide_empty'	=> false,
						)
					);

					// 1.2.0 - Populate new required set if mode on existing order tags

					if ( !empty( $order_tags ) ) {

						foreach ( $order_tags as $order_tag ) {

							update_term_meta( $order_tag->term_id, 'wcot_order_tags_set_if_mode', 'any' ); // Existing order tags set to any as all did not exist prior to this release

						}

					}

				}

				update_option( 'wcot_order_tags_version', WCOT_ORDER_TAGS_VERSION );

			}

		}

	}

}
