<?php

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

function wcot_order_tags_get_all_order_tags() {

	return get_terms(
		array(
			'taxonomy'		=> 'wcot_order_tag',
			'hide_empty'	=> false,
		)
	);

}

function wcot_order_tags_get_order_tag_html( $term ) {

	$color = get_term_meta( $term->term_id, 'wcot_order_tags_color', true );
	$color = ( !empty( $color ) ? $color : apply_filters( 'wcot_order_tags_color_default', '#000000' ) );

	$markup = '<span class="wcot-order-tags-order-tag';
	
	if ( !empty( $term->description ) ) {

		$markup .= ' tips';

	}

	$markup .= '" style="background-color: ' . $color . '"';

	if ( !empty( $term->description ) ) {

		$markup .= ' data-tip="' . $term->description . '"';

	}

	$markup .= '>' . $term->name . '</span>';

	return wp_kses_post( $markup );

}

function wcot_order_tags_get_order_tags( $order_id ) {

	return wp_get_post_terms( $order_id, 'wcot_order_tag' );

}

function wcot_order_tags_set_order_tag( $order_id, $order_tag ) {

	return wp_set_post_terms( $order_id, $order_tag, 'wcot_order_tag', true );

}
