<?php

/**
 * Plugin Name: Order Tags
 * Plugin URI: https://woocommerce.com/products/order-tags/
 * Description: WooCommerce Extension by 99w.
 * Version: 2.1.0
 * Author: 20script
 * Author URI: https://www.20script.ir
 * Developer: 99w
 * Developer URI: https://99w.co.uk
 * Text Domain: wcot-order-tags
 * Domain Path: /languages
 *
 * Woo: 8231714:c594a023812680c33f4c6d99d2797719
 * WC requires at least: 5.0.0
 * WC tested up to: 7.4.1
 *
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 */

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

if ( !class_exists( 'WCOT_Order_Tags' ) ) {

	define( 'WCOT_ORDER_TAGS_VERSION', '2.1.0' );

	class WCOT_Order_Tags {

		public function __construct() {

			require_once __DIR__ . '/includes/class-wcot-order-tags-activation.php';
			require_once __DIR__ . '/includes/class-wcot-order-tags-translation.php';
			require_once __DIR__ . '/includes/class-wcot-order-tags-upgrade.php';

			new WCOT_Order_Tags_Activation();
			new WCOT_Order_Tags_Translation();
			new WCOT_Order_Tags_Upgrade();

			require_once ABSPATH . 'wp-admin/includes/plugin.php';

			if ( is_plugin_active( 'woocommerce/woocommerce.php' ) ) {
				
				require_once __DIR__ . '/includes/functions.php';
				require_once __DIR__ . '/includes/class-wcot-order-tags-bulk-actions.php';
				require_once __DIR__ . '/includes/class-wcot-order-tags-enqueues.php';
				require_once __DIR__ . '/includes/class-wcot-order-tags-filter.php';
				require_once __DIR__ . '/includes/class-wcot-order-tags-menu.php';
				require_once __DIR__ . '/includes/class-wcot-order-tags-notices.php';
				require_once __DIR__ . '/includes/class-wcot-order-tags-orders.php';
				require_once __DIR__ . '/includes/class-wcot-order-tags-set.php';
				require_once __DIR__ . '/includes/class-wcot-order-tags-taxonomy.php';

				new WCOT_Order_Tags_Bulk_Actions();
				new WCOT_Order_Tags_Enqueues();
				new WCOT_Order_Tags_Filter();
				new WCOT_Order_Tags_Menu();
				new WCOT_Order_Tags_Notices();
				new WCOT_Order_Tags_Orders();
				new WCOT_Order_Tags_Set();
				new WCOT_Order_Tags_Taxonomy();

			} else {

				add_action( 'admin_notices', function() {

					if ( current_user_can( 'edit_plugins' ) ) {
				
						?>
				
						<div class="notice notice-error">
							<p><strong><?php esc_html_e( 'Order Tags requires WooCommerce to be installed and activated.', 'wcot-order-tags' ); ?></strong></p>
						</div>

						<?php

					}

				});

			}

		}

	}

	new WCOT_Order_Tags();

}
